//C++
#ifndef FUNCWRAPPERS_H
#define FUNCWRAPPERS_H

// Generated by cxsetup.  Do not edit manually.

#ifdef __cplusplus
extern "C"
{
#endif

   // Wrappers for C++ models w/ C interface.
   // Assumes energy points to arrays of size nFlux+1, flux and fluxError
   // point to arrays of size nFlux (though they need not be initialized),
   // and params points to an array of size nPar for the particular model.
   // initStr may point to a valid character string or it may be NULL if unused.

      void C_xsbexrav(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsbexriv(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_brokenPowerLaw(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_broken2PowerLaw(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_cemVMekal(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xscflw(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xscompps(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_cutoffPowerLaw(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xeq(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xnneq(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_kerrbb(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_kerrdisk(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xslaor(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_laor2(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsmkcf(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xneq(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xshock(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsnteea(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_nthcomp(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xspexrav(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xspexriv(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_powerLaw(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xneqs(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsedov(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_sirf(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xseq(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsnneq(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsvmcf(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsneq(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsshock(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsneqs(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xssedov(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xszgau(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_zpowerLaw(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsabsori(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xspwab(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_superExpCutoff(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_tbabs(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_tbgrain(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_tbvabs(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_ztbabs(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_cflux(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xsgsmt(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_ireflct(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_kdblur(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_kdblur2(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_spinconv(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_xslsmt(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_PartialCovering(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_rdblur(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_reflct(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_simpl(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);
      void C_pileup(const double* energy, int nFlux, const double* params,
                int spectrumNumber, double* flux, double* fluxError,
                const char* initStr);

#ifdef __cplusplus
}
#endif

#endif
